import React, { useState } from "react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { Link } from "react-router-dom";

export default function DiaryIndexItem({ diary, study, deleteDiary, dueFlashcardCount }) {
  const [showDelete, setShowDelete] = useState(false);
  let link = `/diaries/${diary._id}`;
  if (study) link = `/study-menu/diary/${diary._id}`;
  return (
    <li className={study && "study-index-item"}>
      <div>
        <Link to={link}>
          <FontAwesomeIcon icon="book" />
          <span>{diary.title}</span>
        </Link>
        {!study && <button
          className={"delete-button" + (showDelete ? " show" : "")}
          onClick={e => setShowDelete(!showDelete)}
        >
          <FontAwesomeIcon icon="times-circle" />
        </button>}
      </div>
      {showDelete && (
        <div className="delete-div">
          <span>Delete this diary?</span>
          <button className="confirm-button" onClick={deleteDiary}>
            Yes
          </button>
          <button
            className="confirm-button"
            onClick={e => setShowDelete(!showDelete)}
          >
            No
          </button>
        </div>
      )}
      {study && (
        <Link className="big-button" to={link + "/study"}>
          <span>Study {dueFlashcardCount ? dueFlashcardCount : ""} due cards</span>
        </Link>
      )}
    </li>
  );
}
