import React, { Component } from "react";
import { connect } from "react-redux";
import ReactMarkdown from "react-markdown";
import moment from "moment";

export class EntryShow extends Component {
  constructor(props) {
    super(props);

    this.state = {
      currentEntry: null,
      initialLoad: false,
    };
  }

  componentDidMount() {
    this.setState({
      currentEntry: this.props.stateEntries[this.props.entryId],
      initialLoad: true,
    });
  }

  componentDidUpdate(prevProps) {
    if (prevProps.loading !== this.props.loading) {
      this.setState({ initialLoad: true });
    }
    if (prevProps.entryId !== this.props.entryId && this.state.initialLoad) {
      this.setState({
        currentEntry: this.props.stateEntries[this.props.entryId],
      });
    }
  }

  render() {
    const { currentEntry } = this.state;
    const entryDateString = currentEntry && moment(currentEntry.date).format("ddd, MMM Do YYYY, h:mm a");
    console.log(`currentEntry`, currentEntry)
    return (
      currentEntry && (
        <div className="entry-show">
          <h1>{currentEntry.title ? currentEntry.title : entryDateString}</h1>
          <div className="content">
            <ReactMarkdown
              children={currentEntry.content.replace(/\n/gi, " \n")}
            />
          </div>
        </div>
      )
    );
  }
}

const mapStateToProps = (state, { match }) => ({
  stateEntries: state.entities.entries,
  user: state.session.user,
  diaryId: match.params.diaryId,
  entryId: match.params.entryId,
});

export default connect(mapStateToProps, null)(EntryShow);
