import React, { Component } from "react";
import { connect } from "react-redux";
import { createNewDiary } from "../../actions/diary_actions";

export class NewDiaryForm extends Component {
  constructor(props) {
    super(props);

    this.state = {
      title: "",
    };
    this.submitForm = this.submitForm.bind(this);
    this.updateField = this.updateField.bind(this);
  }

  submitForm(e) {
    e.preventDefault();
    const { title } = this.state;
    let diaryData = { title };
    this.props.createNewDiary(diaryData);
    this.setState({ title: "" });
    this.props.showFormToggle();
  }

  updateField(field) {
    return e => this.setState({ [field]: e.currentTarget.value });
  }

  render() {
    return (
      <form onSubmit={this.submitForm} className="index-column-form">
        <input
          type="text"
          onChange={this.updateField("title")}
          placeholder="Title"
          required
        />
        <button className="big-button" type="submit">Add Diary</button>
      </form>
    );
  }
}

const mapDispatchToProps = dispatch => ({
  createNewDiary: diaryData => dispatch(createNewDiary(diaryData)),
});

export default connect(null, mapDispatchToProps)(NewDiaryForm);
