import React from "react";

class HomePage extends React.Component {
  render() {
    return (
      <div className="homepage hero-section">
        <h1>SRS Diary</h1>
        <div className="description">
          <p>
            SRS Diary is a web application for recording a personal or study diary, implementing <strong>spaced-repetition training</strong> to allow you to better remember important information and the events of your lives.
          </p>
          <p>
            Other apps help you to organise your information, but make no effort to help you <strong>recall</strong> information you deem important. This project attempts to fulfil this need with a web application that allows you to keep an ongoing diary, processing this information into atomised elements, and <strong>automatically generating digital "flashcards"</strong> that you can use to revise the information you enter. These flashcards will be shown at intervals defined by a spaced-repetition algorithm, to maximise retention of information while minimising the number of flashcards a user is required to review each day to retain all the information therein.
          </p>
        </div>
      </div>
    );
  }
}

export default HomePage;
