import { connect } from "react-redux";
import { fetchEntryDueFlashcards } from "../../actions/flashcard_actions";
import { StudyDeck } from "./study_deck";

const mapStateToProps = (state, { match }) => ({
  stateFlashcards: state.entities.flashcards,
  flashcardsLoading: state.loading.flashcards,
  user: state.session.user,
  resourceId: match.params.entryId,
  resourceType: "entry",
  cardCount: state.ui.entryDueFlashcardCount,
});

const mapDispatchToProps = dispatch => ({
  fetchFlashcards: entryId => dispatch(fetchEntryDueFlashcards(entryId)),
});

export default connect(mapStateToProps, mapDispatchToProps)(StudyDeck);
