import {
  RECEIVE_ONE_DIARY,
  RECEIVE_DIARIES,
  CLEAR_ONE_DIARY,
} from "../../actions/diary_actions";

const DiariesReducer = (state = {}, action) => {
  Object.freeze(state);
  switch (action.type) {
    case RECEIVE_DIARIES:
      const diariesOutput = {};
      action.diaries.forEach(diary => {
        diariesOutput[diary._id] = diary;
      });
      return Object.assign({}, diariesOutput);
    case RECEIVE_ONE_DIARY:
      const { diary } = action;
      return Object.assign({}, state, { [diary._id]: diary });
    case CLEAR_ONE_DIARY:
      const dupeDiaries = Object.assign({}, state);
      delete dupeDiaries[action.diary._id];
      return dupeDiaries;
    default:
      return state;
  }
};

export default DiariesReducer;
