import {
  RECEIVE_ONE_ENTRY,
  RECEIVE_ENTRIES,
  CLEAR_ONE_ENTRY,
} from "../../actions/diary_entry_actions";

const EntriesReducer = (state = {}, action) => {
  Object.freeze(state);
  switch (action.type) {
    case RECEIVE_ENTRIES:
      const entriesOutput = {};
      action.entries.forEach(entry => {
        entriesOutput[entry._id] = entry;
      });
      return Object.assign({}, entriesOutput);
    case RECEIVE_ONE_ENTRY:
      const { entry } = action;
      return Object.assign({}, state, { [entry._id]: entry });
    case CLEAR_ONE_ENTRY:
      const dupeEntries = Object.assign({}, state);
      delete dupeEntries[action.entry._id];
      return dupeEntries;
    default:
      return state;
  }
};

export default EntriesReducer;
