import {
  RECEIVE_ONE_FLASHCARD,
  RECEIVE_FLASHCARDS,
  CLEAR_ONE_FLASHCARD,
} from "../../actions/flashcard_actions";

const FlashcardsReducer = (state = {}, action) => {
  Object.freeze(state);
  switch (action.type) {
    case RECEIVE_FLASHCARDS:
      const flashcardsOutput = {};
      action.flashcards.forEach(flashcard => {
        flashcardsOutput[flashcard._id] = flashcard;
      });
      return Object.assign({}, flashcardsOutput);
    case RECEIVE_ONE_FLASHCARD:
      const { flashcard } = action;
      return Object.assign({}, state, { [flashcard._id]: flashcard });
    case CLEAR_ONE_FLASHCARD:
      const dupeFlashcards = Object.assign({}, state);
      delete dupeFlashcards[action.flashcard._id];
      return dupeFlashcards;
    default:
      return state;
  }
};

export default FlashcardsReducer;
