import axios from "axios";

export const getAllEntries = () => axios.get("/api/entries/");

export const getDiaryEntries = diaryId => axios.get(`api/diaries/${diaryId}/entries`);

export const getOneEntry = id => axios.get(`api/entries/${id}`);

export const postEntry = (diaryId, entryPostData) =>
  axios.post(`/api/diaries/${diaryId}/newentry`, entryPostData);

export const updateEntry = (id, entryUpdateData) =>
  axios.put(`/api/entries/${id}`, entryUpdateData);

export const deleteEntry = id => axios.delete(`api/entries/${id}`);
