import axios from "axios";

export const getAllFlashcards = () => axios.get("/api/flashcards/");

export const getAllDueFlashcards = (count = false) =>
  axios.get(`/api/flashcards/due${count ? "?count=true" : ""}`);

export const getEntryFlashcards = entryId =>
  axios.get(`api/entries/${entryId}/flashcards`);

export const getDiaryFlashcards = diaryId =>
  axios.get(`api/diaries/${diaryId}/flashcards`);

export const getEntryDueFlashcards = (entryId, count = false) =>
  axios.get(
    `api/entries/${entryId}/flashcards/due${count ? "?count=true" : ""}`
  );

export const getDiaryDueFlashcards = (diaryId, count = false) =>
  axios.get(
    `api/diaries/${diaryId}/flashcards/due${count ? "?count=true" : ""}`
  );

export const getOneFlashcard = id => axios.get(`api/flashcards/${id}`);

export const postFlashcard = (entryId, flashcardPostData) =>
  axios.post(`/api/entries/${entryId}/newflashcard`, flashcardPostData);

export const updateFlashcard = (id, flashcardUpdateData) =>
  axios.put(`/api/flashcards/${id}`, flashcardUpdateData);

export const deleteFlashcard = id => axios.delete(`api/flashcards/${id}`);
