const JwtStrategy = require("passport-jwt").Strategy;
const ExtractJwt = require("passport-jwt").ExtractJwt;
const mongoose = require('mongoose');

const options = {
  jwtFromRequest: ExtractJwt.fromAuthHeaderAsBearerToken(),
  secretOrKey: process.env.SECRET
}

module.exports = passport => {
  passport.use(
    new JwtStrategy(options, (payload, done) => {
      User.findById(payload.id).then(user => {
        if (user) {
          const outputUser = {...user.toJSON()};
          delete outputUser.password;
          return done(null, outputUser);
        } else {
          return done(null, false);
        }
      }).catch(err => console.error(err));
    })
  )
}