const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const DiarySchema = new Schema(
  {
    title: {
      type: String,
      required: true,
    },
    diaryEntries: [
      {
        type: mongoose.Schema.Types.ObjectId,
        ref: "DiaryEntry"
      }
    ],
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true
    }
  },
  {
    timestamps: true
  }
);

module.exports = Diary = mongoose.model("Diary", DiarySchema);