const mongoose = require("mongoose");
const Schema = mongoose.Schema;

const DiaryEntrySchema = new Schema(
  {
    date: {
      type: Date,
      default: Date.now,
    },
    title: {
      type: String,
    },
    content: {
      type: String,
      required: true,
    },
    location: String,
    mood: String,
    diaryId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Diary",
      required: true,
    },
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
    },
  },
  { timestamps: true }
);

module.exports = DiaryEntry = mongoose.model("DiaryEntry", DiaryEntrySchema);
