const mongoose = require("mongoose");
const Schema = mongoose.Schema;

const FlashcardSchema = new Schema(
  {
    entryDate: {
      type: Date,
      required: true,
    },
    type: {
      type: String,
      required: true,
    },
    frontSide: {
      type: String,
      required: true,
    },
    backSide: {
      type: String,
      required: true,
    },
    diaryId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Diary",
      required: true,
    },
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
    },
    diaryEntryId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "DiaryEntry",
      required: true,
    },
    heading: {
      type: String,
    },
    contextUp: [
      {
        type: String,
      },
    ],
    contextDown: [
      {
        type: String,
      },
    ],
    correctStreak: {
      type: Number,
      default: 0,
    },
    nextDue: {
      type: Date,
      default: Date.now,
    },
  },
  {
    timestamps: true,
  }
);

module.exports = Flashcard = mongoose.model("Flashcard", FlashcardSchema);
