const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const UserSchema = new Schema(
  {
    username: {
      type: String,
      required: true,
      unique: true
    },
    firstName: {
      type: String,
      required: true
    },
    lastName: {
      type: String,
      required: true
    },
    email: {
      type: String,
      required: true,
      index: {
        unique: true,
        partialFilterExpression: {
          email: { $type: "string"}
        }
      }
    },
    password: {
      type: String,
      required: true
    },
    birthday: {
      type: Date
    }
  },
  {
    timestamps: true
  }
);

module.exports = User = mongoose.model("User", UserSchema);