const faker = require("faker");
const MarkdownElements = require("./markdownElements.seedshelper");

const generateElement = function () {
  const element =
    faker.datatype.number({ min: 1, max: 2 }) > 1
      ? MarkdownElements.paragraph()
      : MarkdownElements.list();
  if (faker.datatype.number({ min: 1, max: 3 }) > 2) {
    return MarkdownElements.subheading() + element;
  } else {
    return element;
  }
};

const generateContent = function () {
  const numOfElements = faker.datatype.number({ min: 2, max: 6 });
  let output = "";
  for (let i = 0; i < numOfElements; i++) {
    output += generateElement();
  }
  return output;
};

module.exports = {
  generateContent,
  generateElement,
};
