global.sinon = require("sinon");
global.chai = require("chai");
global.assert = chai.assert;
global.expect = chai.expect;
chai.should();
chai.config.includeStack = true;

process.env.NODE_ENV = "test";

const mongoose = require("mongoose");
require("sinon-mongoose");

// Inspired by https://dev.to/paulasantamaria/testing-node-js-mongoose-with-an-in-memory-database-32np
// And https://sunnysultan1640.medium.com/beginners-guide-of-mongodb-and-mongoose-in-tdd-approach-part-1-631b046c98b6

before(done => {
  const options = {
    useNewUrlParser: true,
    useUnifiedTopology: true,
    useCreateIndex: true
  };
  mongoose.connect("mongodb://localhost/diary_test", options);
  mongoose.connection
    .once("open", () => done())
    .on("error", error => console.warn("warning", error));
});

beforeEach(async () => {
  const collections = mongoose.connection.collections;

  for (const key in collections) {
    const collection = collections[key];
    await collection.deleteMany();
  }
})

after(async () => {
  await mongoose.connection.dropDatabase();
  await mongoose.connection.close();
});

