const { assert, expect } = require("chai");
const User = require("../../models/User.model");

describe("User model", () => {
  it("should create new user with valid data", async () => {
    const newUser = new User({
      username: "test_user",
      firstName: "Test",
      lastName: "User",
      email: "test@example.com",
      password: "password",
      birthday: "1990-05-04",
    });
    const savedUser = await newUser.save();
    expect(savedUser).to.equal(newUser);
  });
  
  it("should fail to create new user with missing required data", async () => {
    const newUser = new User({
      firstName: "Test",
      lastName: "User",
      email: "test@example.com",
      password: "password",
      birthday: "1990-05-04",
    });
    try {
      await newUser.save();
      throw new Error("Should not have saved this record!");
    } catch (err) {
      expect(err.message).to.include("validation failed");
    }
  });
});
