const Joi = require("joi");
Joi.objectId = require("joi-objectid")(Joi);

const diaryEntryValidationSchema = Joi.object({
  date: Joi.date().label("Date"),
  title: Joi.string().min(1).label("Title"),
  content: Joi.string()
    .min(1)
    .label("Content")
    .alter({ new: schema => schema.required() }),
  mood: Joi.string().min(1).label("Mood"),
  location: Joi.string().min(1).label("Location"),
  userId: Joi.objectId(),
  diaryId: Joi.objectId(),
  makeCards: Joi.boolean().default(false)
});

module.exports = {
  diaryEntryValidationSchema,
  newDiaryEntryValidationSchema: diaryEntryValidationSchema.tailor("new"),
};
