const Joi = require("joi");
Joi.objectId = require("joi-objectid")(Joi);

const flashcardValidationSchema = Joi.object({
  contextUp: Joi.array().items(Joi.string()).label("Context before"),
  contextDown: Joi.array().items(Joi.string()).label("Context after"),
  correctStreak: Joi.number().default(0).label("Correct streak"),
  type: Joi.string()
    .alter({ new: schema => schema.required() })
    .label("Card type"),
  heading: Joi.string().label("Card heading"),
  frontSide: Joi.string()
    .alter({ new: schema => schema.required() })
    .label("Front side"),
  backSide: Joi.string()
    .alter({ new: schema => schema.required() })
    .label("Back side"),
  userId: Joi.objectId(),
  diaryId: Joi.objectId(),
  diaryEntryId: Joi.objectId(),
  entryDate: Joi.date().label("Date"),
  nextDue: Joi.date().label("Next due"),
});

module.exports = {
  flashcardValidationSchema,
  newFlashcardValidationSchema: flashcardValidationSchema.tailor("new")
};

